Subject: Re: [RFC] [PATCH 2/3] tg3 netpoll hook

From: Jeff Garzik <[email-masked]>
Date: Sat, 04 Oct 2003 23:11:27 -0400

Matt Mackall wrote:
> Have an opinion on s/->poll_controller/->netpoll/?

I have an opinion, yes :)  which I despise myself for holding...

I don't like either name, but don't have any better suggestions either, 
besides something extremely verbose like ->process_hw_events().

"poll_controller" is annoying because (a) it's way too close to NAPI, 
but (b) it's a reasonably accurate description of what it does.

I think "netpoll" is even worse...  It describes who calls it, not what 
it does.

	Jeff